## accountsservice 0.6.55-0ubuntu12~20.04.7%2B10.0trisquel1

=== debian/changelog ===
accountsservice (0.6.55-0ubuntu12~20.04.7+10.0trisquel1) nabia-security; urgency=medium

  * Enable users with low uid to be configured as non-systemusers.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 11 Mar 2024 14:39:38 +0000

accountsservice (0.6.55-0ubuntu12~20.04.7) focal-security; urgency=medium

  * SECURITY UPDATE: possible encrypted password disclosure
    - debian/patches/CVE-2012-6655.patch: replace usermod -p with
      chpasswd -e in src/user.c, src/util.c, src/util.h.
    - CVE-2012-6655

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 08 Mar 2024 12:25:40 -0500

accountsservice (0.6.55-0ubuntu12~20.04.6) focal-security; urgency=medium

  * SECURITY UPDATE: use-after-free in user.c (LP: #2024182)
    - debian/patches/0010-set-language.patch: updated to properly return
      from functions after throw_error() has been called.
    - CVE-2023-3297

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 20 Jun 2023 07:26:26 -0400

accountsservice (0.6.55-0ubuntu12~20.04.5) focal-security; urgency=medium

  * SECURITY UPDATE: double-free in the SetLanguage D-Bus method
    (LP: #1950149)
    - debian/patches/0010-set-language.patch: updated to remove g_autofree
      on result of user_get_fallback_value().
    - CVE-2021-3939
  * debian/patches/0010-set-language.patch: updated to fix minor memory
    leaks by adding g_autofree to results of user_update_environment().

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 09 Nov 2021 07:23:14 -0500

accountsservice (0.6.55-0ubuntu12~20.04.4) focal-security; urgency=medium

  * SECURITY UPDATE: accountsservice drop privileges SIGSTOP DoS
    (LP: #1900255)
    - debian/patches/0010-set-language.patch: updated to not drop real uid
      and real gid in user_drop_privileges_to_user.
    - debian/patches/0009-language-tools.patch: updated to not reset
      effective uid.
    - CVE-2020-16126
  * SECURITY UPDATE: accountsservice .pam_environment infinite loop
    (LP: #1900255)
    - debian/patches/0010-set-language.patch: updated to use O_NOFOLLOW
      and limit the number of lines read from file.
    - CVE-2020-16127

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 02 Nov 2020 12:03:54 -0500

accountsservice (0.6.55-0ubuntu12~20.04.2) focal; urgency=medium

  * debian/patches/0010-set-language.patch:
    - Don't dismiss C.UTF-8 as an invalid locale name (LP: #1873678)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sat, 10 Oct 2020 21:31:00 +0200

accountsservice (0.6.55-0ubuntu12~20.04.1) focal; urgency=medium

  * Backport from groovy to focal.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 05 May 2020 17:05:26 +0100

accountsservice (0.6.55-0ubuntu12) groovy; urgency=medium

  * Cherry-pick from unstable.
  * Add patch to not crash in the library when the daemon goes away
    (Closes: #948228) (LP: #1843982)

 -- Iain Lane <iain.lane@canonical.com>  Tue, 05 May 2020 17:00:20 +0100

accountsservice (0.6.55-0ubuntu11) focal; urgency=medium

  * debian/control:
    - Dropped gnome-doc-utils from Build-Depends (removed from archive)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 30 Mar 2020 21:22:00 +0200

accountsservice (0.6.55-0ubuntu10) eoan; urgency=medium

  * debian/patches/0010-set-language.patch:
    - Make the Language and FormatsLocale properties in the keyfile be
      in sync with ~/.pam_environment. In principle this restores the
      behavior to the state before 0.6.50 (LP: #1842349).
  * debian/patches/0016-add-input-sources-support.patch:
    - Refreshed the src/user.c chunks.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sun, 15 Sep 2019 02:45:00 +0200

accountsservice (0.6.55-0ubuntu9) eoan; urgency=medium

  * debian/patches/0010-set-language.patch:
    - Simplify logic when to set language and formats (LP: #1842349).
  * debian/control:
    - Change Maintainer to Ubuntu Developers.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 13 Sep 2019 22:05:00 +0200

accountsservice (0.6.55-0ubuntu8) eoan; urgency=medium

  * debian/rules:
    - Compile with -Dsystemd=true to fix libaccountsservice not working properly
      (LP: #1841382)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 06 Sep 2019 15:33:47 +1200

accountsservice (0.6.55-0ubuntu7) eoan; urgency=medium

  * debian/patches/0020-support-login.defs.patch:
    - Remove this patch. When we updated to 0.6.55 the patch was mostly disabled
      due to heuristics being enabled by default in Meson. Debian dropped the
      patch in 2014 and the reason given for it being in Ubuntu was for Ubuntu
      Touch.

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 04 Sep 2019 12:05:49 +1200

accountsservice (0.6.55-0ubuntu6) eoan; urgency=medium

  * debian/patches/0010-set-language.patch:
    - Call user_locale_validate() separately and not as an argument
      when calling some other function. The latter has worked fine
      previously, but with latest gcc the arguments were not passed
      properly (LP: #1842212).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 02 Sep 2019 20:35:00 +0200

accountsservice (0.6.55-0ubuntu5) eoan; urgency=medium

  * debian/control, debian/rules:
    - Add dh-translations to Build-Depends and build with translations
      so the POT file gets updated.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sat, 24 Aug 2019 00:57:00 +0200

accountsservice (0.6.55-0ubuntu4) eoan; urgency=medium

  * debian/libaccountsservice-doc.install:
    - Update for new documentation location
  * debian/docs:
    - Update for new README.md name
  * debian/libaccountsservice0.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 21 Aug 2019 15:14:31 +1200

accountsservice (0.6.55-0ubuntu3) eoan; urgency=medium

  * debian/control:
    - Add build-depends on gettext, policykit-1

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 19 Aug 2019 20:09:16 +1200

accountsservice (0.6.55-0ubuntu2) eoan; urgency=medium

  * debian/control:

