=== debian/control ===
Source: accountsservice
Section: admin
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>
Build-Depends:
 debhelper (>= 10),
 dh-exec (>= 0.13),
 dh-translations,
 gettext,
 gir1.2-freedesktop,
 gir1.2-glib-2.0 (>= 1.34),
 gobject-introspection (>= 0.9.12-4~),
 gtk-doc-tools,
 libdbus-1-dev,
 libgirepository1.0-dev (>= 0.9.12),
 libglib2.0-dev (>= 2.44),
 libpolkit-gobject-1-dev,
 libsystemd-dev (>= 209) [linux-any],
 meson (>= 0.46.0),
 policykit-1,
 xmlto
Standards-Version: 4.1.0
Homepage: https://www.freedesktop.org/wiki/Software/AccountsService/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/accountsservice.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/accountsservice.git

Package: accountsservice
Architecture: any
Depends:
 dbus,
 libaccountsservice0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 gnome-control-center
Description: query and manipulate user account information
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.

Package: libaccountsservice0
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 accountsservice (<< 0.6.5)
Description: query and manipulate user account information - shared libraries
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.
 .
 This package provides the shared libraries of the
 AccountService library.

Package: libaccountsservice-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 gir1.2-accountsservice-1.0 (= ${binary:Version}),
 libaccountsservice0 (= ${binary:Version}),
 libglib2.0-dev (>= 2.25.11),
 libpolkit-gobject-1-dev,
 ${misc:Depends}
Description: query and manipulate user account information - header files
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.
 .
 This package provides the development files for the
 AccountService library.

Package: gir1.2-accountsservice-1.0
Section: introspection
Architecture: any
Multi-Arch: foreign
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 gir1.2-accountservice-1.0 (<< 0.6.12-4)
Breaks:
 gir1.2-accountservice-1.0 (<< 0.6.12-4)
Description: GObject introspection data for AccountService
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.
 .
 This package provides the introspection data for the
 AccountService library.

Package: libaccountsservice-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: query and manipulate user account information - documentation
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.
 .
 This package provides the developers reference for the
 AccountService library.
