## accountsservice 22.07.5

=== debian/changelog ===
accountsservice (22.07.5-2ubuntu1.5) jammy-security; urgency=medium

  * SECURITY UPDATE: possible encrypted password disclosure
    - debian/patches/CVE-2012-6655.patch: replace usermod -p with
      chpasswd -e in src/user.c, src/util.c, src/util.h.
    - CVE-2012-6655

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 08 Mar 2024 11:55:23 -0500

accountsservice (22.07.5-2ubuntu1.4) jammy-security; urgency=medium

  * SECURITY UPDATE: use-after-free in user.c (LP: #2024182)
    - debian/patches/0010-set-language.patch: updated to properly return
      from functions after throw_error() has been called.
    - CVE-2023-3297

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 20 Jun 2023 07:25:34 -0400

accountsservice (22.07.5-2ubuntu1.3) jammy-security; urgency=medium

  * SECURITY UPDATE: accountsservice incorrect privilege dropping
    (LP: #1974250)
    - debian/patches/0009-language-tools.patch: updated to not reset
      effective uid, and migrate root-owned .pam_environment file.
    - This change was originally known as CVE-2020-16126 and got reverted
      by mistake in 0.6.55-3ubuntu1.
    - CVE-2022-1804
  * Fix FTBFS with a newer python-dbusmock package:
    - debian/patches/adduser_invocation.patch: fix invocation of AddUser in
      tests/dbusmock/accounts_service.py.
    - debian/patches/setlocked_signature.patch: fix the signature for the
      SetLocked call in tests/dbusmock/accounts_service.py.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 19 May 2022 20:02:04 -0400

accountsservice (22.07.5-2ubuntu1) jammy; urgency=medium

  * Merge with Debian, remaining Ubuntu changes:
  * debian/control:
    - Add build-depends on dh-translations
  * debian/rules:
    - Build with translations to update POT file.
    - set -Dextra_admin_groups to add admin users to the same groups than
      user-setup is using for the initial account
    - We use custom.conf, not daemon.conf
  * debian/libaccountsservice0.symbols:
    - Add symbols added from patches.
  * debian/patches/0001-formats-locale-property.patch:
    - Addition of FormatsLocale property and SetFormatsLocale method.
  * debian/patches/0005-gdm_config_file_path.patch:
    - Disabled, as we are using custom.conf.
  * debian/patches/0010-set-language.patch:
    - Save user language and regional formats settings to ~/.pam_environment.
  * debian/patches/0011-add-background-file-support.patch:
    - Add support for a BackgroundFile property, similar to IconFile.
  * debian/patches/0012-add-keyboard-layout-support.patch:
    - Add XKeyboardLayouts property to report a user's keyboard layouts.
  * debian/patches/0013-add-has-message-support.patch:
    - Add XHasMessages property to report if a user had unread messages.
  * debian/patches/0016-add-input-sources-support.patch:
    - Store input sources in the user object.
  * debian/patches/0021-support-extrausers.patch:
    - In addition to watching /etc/{passwd,shadow,group}, also watch those
      same files in /var/lib/extrausers/, if they exist.
  * debian/patches/gitlab_change_types.patch:
    - fix changing account types failing on missing groups
  * debian/patches/gitlab_shared_tmp.patch:
    - don't use a private tmp since API clients sometime store files there

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 22 Feb 2022 16:27:56 +0100

accountsservice (22.07.5-2) unstable; urgency=medium

  * d/p/0002-create-and-manage-groups-like-on-a-debian-system.patch:
    - change back to error out if adding the user to a group fails but
      don't try to use a non existant group instead
  * d/p/0009-language-tools.patch:
    - restore permission marker that got lost by doing a quilt refresh,
      without those the script lack +x permission

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 22 Feb 2022 12:10:38 +0100

accountsservice (22.07.5-1) unstable; urgency=medium

  * New upstream version
  * Remove the patches which are included in the update
  * d/p/0002-create-and-manage-groups-like-on-a-debian-system.patch:
    - changed to warn when trying to add the user to non existant
      groups rather than erroring out since the list is static and some
      default groups are created by optional packages.
  * debian/accountsservice.install:
    - install the new user-templates
  * debian/control, debian/compat:
    - include the build-depends needed for the tests and the vapis
    - updated libglib and meson requirements
    - use current debhelper and standards versions
  * debian/libaccountsservice0.symbols:
    - updated for the new version, the consolekit option has been removed
      but those symbols were not part of the public API
  * debian/libaccountsservice-dev.install:
    - install the vapis
  * debian/rules:
    - don't try to install the NEWS file which isn't provided anymore
    - remove the non existant systemd option

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 21 Feb 2022 20:50:26 +0100
