=== debian/control ===
Source: accountsservice
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-translations,
               gobject-introspection (>= 0.9.12-4~),
               intltool,
               libdbus-1-dev (>= 1.9.18),
               libgirepository1.0-dev (>= 1.34),
               libglib2.0-dev (>= 2.63.5),
               libpolkit-gobject-1-dev,
               libsystemd-dev (>= 209) [linux-any],
               meson (>= 0.50),
               policykit-1,
               python3-dbus <!nocheck>,
               python3-dbusmock <!nocheck>,
               python3-gi <!nocheck>,
               valac,
               xmlto
Build-Depends-Indep: gtk-doc-tools <!nodoc>, libglib2.0-doc <!nodoc>
Standards-Version: 4.6.0.1
Homepage: https://www.freedesktop.org/wiki/Software/AccountsService/
Vcs-Git: https://salsa.debian.org/freedesktop-team/accountsservice.git -b ubuntu
Vcs-Browser: https://salsa.debian.org/freedesktop-team/accountsservice/tree/ubuntu
XS-Debian-Vcs-Git: https://salsa.debian.org/freedesktop-team/accountsservice.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/freedesktop-team/accountsservice

Package: accountsservice
Architecture: any
Depends: dbus (>= 1.9.18),
         libaccountsservice0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: default-logind | logind
Suggests: gnome-control-center
Description: query and manipulate user account information
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.

Package: libaccountsservice0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: accountsservice (<< 0.6.5)
Description: query and manipulate user account information - shared libraries
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.
 .
 This package provides the shared libraries of the
 AccountService library.

Package: libaccountsservice-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-accountsservice-1.0 (= ${binary:Version}),
         libaccountsservice0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.25.11),
         libpolkit-gobject-1-dev,
         ${misc:Depends}
Description: query and manipulate user account information - header files
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.
 .
 This package provides the development files for the
 AccountService library.

Package: gir1.2-accountsservice-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: GObject introspection data for AccountService
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.
 .
 This package provides the introspection data for the
 AccountService library.

Package: libaccountsservice-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Description: query and manipulate user account information - documentation
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.
 .
 This package provides the developers reference for the
 AccountService library.
