=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: accountsservice
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
+Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-translations,
                gobject-introspection (>= 0.9.12-4~),
                intltool,
                libdbus-1-dev (>= 1.9.18),
@@ -14,27 +12,26 @@
                libpolkit-gobject-1-dev,
                libsystemd-dev (>= 209) [linux-any],
                meson (>= 0.50),
-               policykit-1,
+               polkitd,
                python3-dbus <!nocheck>,
                python3-dbusmock <!nocheck>,
                python3-gi <!nocheck>,
                valac,
                xmlto
 Build-Depends-Indep: gtk-doc-tools <!nodoc>, libglib2.0-doc <!nodoc>
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Homepage: https://www.freedesktop.org/wiki/Software/AccountsService/
-Vcs-Git: https://salsa.debian.org/freedesktop-team/accountsservice.git -b ubuntu
-Vcs-Browser: https://salsa.debian.org/freedesktop-team/accountsservice/tree/ubuntu
-XS-Debian-Vcs-Git: https://salsa.debian.org/freedesktop-team/accountsservice.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/freedesktop-team/accountsservice
+Vcs-Git: https://salsa.debian.org/freedesktop-team/accountsservice.git
+Vcs-Browser: https://salsa.debian.org/freedesktop-team/accountsservice
 
 Package: accountsservice
 Architecture: any
-Depends: dbus (>= 1.9.18),
+Depends: default-dbus-system-bus | dbus-system-bus,
          libaccountsservice0 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: default-logind | logind
+Recommends: default-logind | logind,
+            polkitd,
 Suggests: gnome-control-center
 Description: query and manipulate user account information
  The AccountService project provides a set of D-Bus
