=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 endif
 
 %:
-	dh $@ --with=gir,translations
+	dh $@ --with=gir
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V -- -c4
@@ -21,9 +21,8 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Ddocbook=true \
-		-Dgdmconffile=/etc/gdm3/custom.conf \
+		-Dgdmconffile=/etc/gdm3/daemon.conf \
 		-Dadmin_group=sudo \
 		-Dsystemdsystemunitdir=/lib/systemd/system \
 		-Dintrospection=true \
-		-Dextra_admin_groups=adm,cdrom,dip,lpadmin,plugdev,sambashare,libvirtd,lxd \
 		$(extra_meson_options)
