=== debian/changelog ===
accountsservice (23.13.9-7ubuntu1) plucky; urgency=medium

  * Merge with Debian (LP: #2087527). Remaining changes:
  * debian/control:
    - Add build-depends on dh-translations
  * debian/rules:
    - Build with translations to update POT file.
    - set -Dextra_admin_groups to add admin users to the same groups
      than user-setup is using for the initial account
    - We use custom.conf, not daemon.conf
  * debian/libaccountsservice0.symbols:
    - Add symbols added from patches.
  * debian/accountsservice.install:
    - Install language-tools scripts.
  * debian/patches/0001-formats-locale-property.patch:
    - Addition of FormatsLocale property and SetFormatsLocale method.
  * debian/patches/0009-language-tools.patch,
    debian/patches/0010-set-language.patch:
    - Save user language and regional formats settings to
      ~/.pam_environment.
  * debian/patches/0011-add-background-file-support.patch:
    - Add support for a BackgroundFile property, similar to IconFile.
  * debian/patches/0012-add-keyboard-layout-support.patch:
    - Add XKeyboardLayouts property to report a user's keyboard layouts.
  * debian/patches/0013-add-has-message-support.patch:
    - Add XHasMessages property to report if a user had unread messages.
  * debian/patches/0016-add-input-sources-support.patch:
    - Store input sources in the user object.
  * debian/patches/0021-support-extrausers.patch:
    - In addition to watching /etc/{passwd,shadow,group}, also watch
      those same files in /var/lib/extrausers/, if they exist.
  * debian/patches/ubuntu_notest_language.patch:
   - Disable language tests on Ubuntu for now. Our patches to edit
     .pam_environment rely on access to the user directory which isn't working
     in the restricted testing environment

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 13 Nov 2024 11:32:51 +0100

accountsservice (23.13.9-7) unstable; urgency=medium

  * Team upload
  * d/p/tests-s-assertEquals-assertEqual.patch:
    Add patch from upstream git to fix FTBFS with Python 3.12
    (Closes: #1074657)
  * d/p/implicit-funcs.patch:
    Replace NMU'd fix for #1066277 with upstream's functionally equivalent
    change
  * d/tests/control: Require isolation-container.
    The integration.py and pygi.py tests are not expected to pass without
    working system services, which autopkgtest does not guarantee unless
    we have this restriction.
  * d/tests: Skip integration.py if we don't have CAP_SYS_ADMIN.
    This works around systemd being unable to start polkitd in an
    unprivileged podman container (#1078205).
  * Enable full compiler-based hardening (Closes: #1032018)
  * d/patches: Improve DEP-3 metadata.
    Use the git-format-patch compatible dialect of DEP-3 for better interop
    with tools like gbp pq.
  * Add a Lintian override for an intentional empty directory (see #1038137)
  * Standards-Version: 4.7.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 08 Aug 2024 10:08:19 +0100

accountsservice (23.13.9-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Fix implicit function declarations in mocklibc. (Closes:
    #1066277)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 25 Mar 2024 22:57:03 +0100

accountsservice (23.13.9-6) unstable; urgency=medium

  * Team upload

  [ Chris Hofstaedtler ]
  * Install systemd unit into /usr (DEP17 M2) (Closes: #1057897)

  [ Michael Biebl ]
  * Rely on systemd.pc to get systemdsystemunitdir
  * Install empty /usr/share/accountsservice/interfaces directory.
    It's an integration point referenced in accounts-daemon.service.
    (Closes: #1038137)
  * Remove migration code from pre-oldstable

 -- Michael Biebl <biebl@debian.org>  Wed, 31 Jan 2024 12:30:27 +0100

accountsservice (23.13.9-5) unstable; urgency=medium

  * Team upload
  * d/control: Add ${gir:Depends}, ${gir:Provides} to -dev package
    (Helps: #1030223)
  * d/control: Explicitly build-depend on GIR XML included by
    AccountsService-1.0.gir (Helps: #1030223)

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Nov 2023 12:14:43 +0000

accountsservice (23.13.9-4) unstable; urgency=medium

  * Team upload
  * Add locales-all to Build-Depends and enable Tests.test_languages
    - Dropped d/p/Disable-test_languages.patch

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Mon, 04 Sep 2023 23:18:38 +0200

accountsservice (23.13.9-3) unstable; urgency=medium

  * Team upload
  * debian/patches/Disable-test_languages.patch
    - Temporary measure to work around failed test when building
      (closes: #1038865, #1041687).

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sat, 26 Aug 2023 03:37:58 +0200

accountsservice (23.13.9-2ubuntu6) noble; urgency=medium

  * Cherry-pick FTBFS fix from Debian
  [ Sebastian Ramacher ]
  * debian/patches: Fix implicit function declarations in mocklibc. (Closes:
    #1066277)

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 03 Apr 2024 18:37:38 +0200

accountsservice (23.13.9-2ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:16:05 +0000

accountsservice (23.13.9-2ubuntu4) noble; urgency=medium

  * debian/patches/0001-tests-s-assertEquals-assertEqual.patch:
    Add patch to fix FTBFS with unittest from Python 3.12.
    (LP: #2057710)

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 12 Mar 2024 21:51:36 +0000

accountsservice (23.13.9-2ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:46:43 +0000

accountsservice (23.13.9-2ubuntu2) mantic; urgency=medium

  * SECURITY UPDATE: use-after-free in user.c (LP: #2024182)
    - debian/patches/0010-set-language.patch: updated to properly return
      from functions after throw_error() has been called.
    - CVE-2023-3297

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 28 Jun 2023 11:10:09 -0400


