=== debian/control ===
--- 
+++ 
@@ -1,16 +1,22 @@
 Source: accountsservice
 Section: admin
 Priority: optional
-Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-translations,
                gobject-introspection (>= 0.9.12-4~),
+               gir1.2-gio-2.0-dev,
+               gir1.2-gobject-2.0-dev,
                intltool,
                libdbus-1-dev (>= 1.9.18),
                libgirepository1.0-dev (>= 1.34),
                libglib2.0-dev (>= 2.63.5),
                libpolkit-gobject-1-dev,
                libsystemd-dev (>= 209) [linux-any],
+               systemd-dev,
+               locales-all,
                meson (>= 0.50),
                polkitd,
                python3-dbus <!nocheck>,
@@ -19,10 +25,12 @@
                valac,
                xmlto
 Build-Depends-Indep: gtk-doc-tools <!nodoc>, libglib2.0-doc <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.freedesktop.org/wiki/Software/AccountsService/
-Vcs-Git: https://salsa.debian.org/freedesktop-team/accountsservice.git
-Vcs-Browser: https://salsa.debian.org/freedesktop-team/accountsservice
+Vcs-Git: https://salsa.debian.org/freedesktop-team/accountsservice.git -b ubuntu
+Vcs-Browser: https://salsa.debian.org/freedesktop-team/accountsservice/tree/ubuntu
+XS-Debian-Vcs-Git: https://salsa.debian.org/freedesktop-team/accountsservice.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/freedesktop-team/accountsservice
 
 Package: accountsservice
 Architecture: any
@@ -44,7 +52,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: accountsservice (<< 0.6.5)
 Description: query and manipulate user account information - shared libraries
  The AccountService project provides a set of D-Bus
  interfaces for querying and manipulating user account
@@ -62,7 +69,9 @@
          libaccountsservice0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.25.11),
          libpolkit-gobject-1-dev,
+         ${gir:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides}
 Description: query and manipulate user account information - header files
  The AccountService project provides a set of D-Bus
  interfaces for querying and manipulating user account
