=== debian/tests/control ===
Tests: build
Depends: accountsservice, build-essential, libaccountsservice-dev
Restrictions: allow-stderr, superficial

Tests: pygi.py
Depends: accountsservice, gir1.2-accountsservice-1.0, libpam-systemd | libpam-elogind, python3, python3-gi
Restrictions: allow-stderr, isolation-container, superficial

Tests: integration.py
Depends:
 accountsservice,
 gir1.2-accountsservice-1.0,
 libcrypt1,
 libnss-systemd,
 libpam-systemd | libpam-elogind,
 polkitd,
 python3,
 python3-cap-ng,
 python3-gi,
Restrictions:
 allow-stderr,
 breaks-testbed,
 isolation-container,
 needs-root,
 skippable,
